var styles_cytoscape = [
    {
        "selector" : "core",
        "style"    : {
            "background-color" : "white"
        }
    },{
        "selector" : "node",
        "style"    : {
            "shape"                    : "rectangle"     ,
            
            "display"                  : "block"         ,
            
            //BACKGROUND
            "background-width"         : "40px"          ,
            "background-height"        : "40px"          ,
            "background-position-x"    : "0px"           ,
            "background-position-y"    : "0px"           ,
            "background-fit"           : "contain"       ,
            
            "width"                    : 200             ,
            "height"                   : 40              ,
            //FONT
            "color"                    : "#494949"       ,
            "font-size"                : "1em"           ,
            "text-wrap"                : "wrap"          ,
            "text-valign"              : "center"        ,
            "text-halign"              : "center"        ,
            "min-zoomed-font-size"     : "0.3em"
        }
    },{
        "selector" : "node.expert",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/expert.png)"
        }
    },{
        "selector" : "node.usergroupcontact",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/user_group_contact.png)"
        }
    },{
        "selector" : "node.usergroup",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/user_group.png)"
        }
    },{
        "selector" : "node.expertgroup",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/expert_group.png)"
        }
    },{
        "selector" : "node.rack",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/rack.png)"
        }
    },{
        "selector" : "node.server",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/server.png)"
        }
    },{
        "selector" : "node.blockdevice",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/block_device.png)"
        }
    },{
        "selector" : "node.switch",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/switch.png)"
        }
    },{
        "selector" : "node.networkinterface",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/network_interface.png)"
        }
    },{
        "selector" : "node.configuration",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/configuration.png)"
        }
    },{
        "selector" : "node.configurationgroup",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/configuration_group.png)"
        }
    },{
        "selector" : "node.coregroup",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/core_group.png)"
        }
    },{
        "selector" : "node.serviceelement",
        "style"    : {
            "background-image"     : "url(/resource/rsc/images/node_class/service_element.png)"
        }
    },{
         "selector" : "node.dnsalias",
         "style"    : {
             "background-image"     : "url(/resource/rsc/images/node_class/dnsalias.png)"
         }
    },{
         "selector" : "node.router",
         "style"    : {
             "background-image"     : "url(/resource/rsc/images/node_class/router.png)"
         }
    },{
        "selector" : "edge",
        "style"    : {
            "label"                  : "data(label)",
            "edge-text-rotation"     : "none"       ,
            
            "curve-style"            : "bezier"     ,
            "line-style"             : "dotted"     ,
            "source-arrow-shape"     : "none"       ,
            "source-arrow-fill"      : "filled"     ,
            "mid-source-arrow-shape" : "none"       ,
            "target-arrow-shape"     : "triangle"   ,
            "target-arrow-fill"      : "filled"     ,
            "mid-target-arrow-shape" : "none"       ,
            "z-index"                : 1
        }
    },{
        "selector" : "edge.filter",
        "style"    : {
            "width"                  : 8
        }
    },{
        "selector" : ".living",
        "style"    : {
            "line-color"         : "#53AF32",
            "source-arrow-color" : "#53AF32",
            "target-arrow-color" : "#53AF32",
            "background-color"   : "#53AF32",
            "border-color"       : "#53AF32"
        }
    },{
        "selector" : ".scratch",
        "style"    : {
            "line-color"         : "#C5D200",
            "source-arrow-color" : "#C5D200",
            "target-arrow-color" : "#C5D200",
            "background-color"   : "#C5D200",
            "border-color"       : "#C5D200"
        }
    },{
        "selector" : ".minor",
        "style"    : {
            "line-color"         : "#F4E700",
            "source-arrow-color" : "#F4E700",
            "target-arrow-color" : "#F4E700",
            "background-color"   : "#F4E700",
            "border-color"       : "#F4E700"
        }
    },{
        "selector" : ".illness",
        "style"    : {
            "line-color"         : "#FFCE02",
            "source-arrow-color" : "#FFCE02",
            "target-arrow-color" : "#FFCE02",
            "background-color"   : "#FFCE02",
            "border-color"       : "#FFCE02"
        }
    },{
        "selector" : ".important",
        "style"    : {
            "line-color"         : "#F4982A",
            "source-arrow-color" : "#F4982A",
            "target-arrow-color" : "#F4982A",
            "background-color"   : "#F4982A",
            "border-color"       : "#F4982A"
        }
    },{
        "selector" : ".dead",
        "style"    : {
            "line-color"         : "#E6351E",
            "source-arrow-color" : "#E6351E",
            "target-arrow-color" : "#E6351E",
            "background-color"   : "#E6351E",
            "border-color"       : "#E6351E"
        }
    },{
        "selector" : ".cause",
        "style"    : {
            "line-style"         : "dotted"    ,
            "opacity"            : "0.5"
        }
    },{
        "selector" : ".intersection",
        "style"    : {
            "line-style"         : "dotted"    ,
            "opacity"            : "1"
        }
    },{
        "selector" : "edge.impacted",
        "style"    : {
            "line-style"             : "solid"
        }
    },{
        "selector" : ".external",
        "style"    : {
            "background-color"   : "#FFFFFF",
            "border-width"       : 1,
            "border-style"       : "dotted",
            "border-color"       : "lightgrey",
            "line-style"         : "dotted",
            "opacity"            : "1"
        }
    },{
        "selector" : ".black",
        "style"    : {
            "background-color"   : "#000000"
        }
    },{
        "selector" : ".expand_group",
        "style"    : {
            "shape"                : "roundrectangle"   ,
            "label"                : "data(label)"      ,

            //BORDER
            "border-color"         : "#00DDFF"          ,
            "border-style"         : "solid"            ,
            "border-width"         : 1                  ,

            //FONT
            "font-size"            : "1.3em"            ,
            "font-weight"          : "bold"             ,
            "text-valign"          : "top"              ,
            "text-halign"          : "center"           ,
            "min-zoomed-font-size" : "0.7em"            ,
            "opacity"              : 1
        }
    },{
        "selector"  : ".collapse_group",
        "style"     : {
            "shape"                : "octagon"                ,
            "label"                : "data(label)"            ,

            "width"                : "200px"                  ,
            "height"               : 40                       ,

            "background-blacken"   : -0.5                     ,

            "border-style"         : "double"                 ,
            "border-width"         : 12
        }
    },{
        "selector" : "node:selected",
        "style"    : {
            "border-width"    : 6,
            "border-style"    : "solid",
            "border-color"    : "black",
            "font-weight"     : "bold"
        }
    }
];